Bug 980533 - [abrt] gedit-3.6.2-1.fc18: on_document_loaded: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.6.2-1.fc18: on_document_loaded: Process /usr/bin/gedit was kil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:ec17b6f2bc1f35b8d58ca9388db...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 12:01 EDT by Malar Kannan
Modified: 2014-02-05 17:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:02:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.59 KB, text/plain)
2013-07-02 12:01 EDT, Malar Kannan
no flags Details
File: cgroup (132 bytes, text/plain)
2013-07-02 12:01 EDT, Malar Kannan
no flags Details
File: core_backtrace (2.78 KB, text/plain)
2013-07-02 12:01 EDT, Malar Kannan
no flags Details
File: dso_list (18.80 KB, text/plain)
2013-07-02 12:01 EDT, Malar Kannan
no flags Details
File: environ (1.05 KB, text/plain)
2013-07-02 12:02 EDT, Malar Kannan
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-02 12:02 EDT, Malar Kannan
no flags Details
File: maps (81.27 KB, text/plain)
2013-07-02 12:02 EDT, Malar Kannan
no flags Details
File: open_fds (1.24 KB, text/plain)
2013-07-02 12:02 EDT, Malar Kannan
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2013-07-02 12:02 EDT, Malar Kannan
no flags Details
File: var_log_messages (398 bytes, text/plain)
2013-07-02 12:02 EDT, Malar Kannan
no flags Details

  None (edit)
Description Malar Kannan 2013-07-02 12:01:32 EDT
Description of problem:
crashed when reloading a file that got modified during a pull from git remote

Version-Release number of selected component:
gedit-3.6.2-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        gedit
crash_function: on_document_loaded
executable:     /usr/bin/gedit
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            1002
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 on_document_loaded at gedit-spell-plugin.c:1037
 #6 document_loader_loaded at gedit-document.c:1525
 #7 document_loader_loading at gedit-document.c:1541
 #12 gedit_document_loader_loading at gedit-document-loader.c:930
 #13 loader_load_completed_or_failed at gedit-document-loader.c:418
 #14 close_input_stream_ready_cb at gedit-document-loader.c:480
 #15 async_ready_close_callback_wrapper at ginputstream.c:543
 #16 g_simple_async_result_complete at gsimpleasyncresult.c:775
 #17 complete_in_idle_cb_for_thread at gsimpleasyncresult.c:843
 #22 gtk_main at gtkmain.c:1160
Comment 1 Malar Kannan 2013-07-02 12:01:39 EDT
Created attachment 767814 [details]
File: backtrace
Comment 2 Malar Kannan 2013-07-02 12:01:43 EDT
Created attachment 767815 [details]
File: cgroup
Comment 3 Malar Kannan 2013-07-02 12:01:48 EDT
Created attachment 767816 [details]
File: core_backtrace
Comment 4 Malar Kannan 2013-07-02 12:01:55 EDT
Created attachment 767817 [details]
File: dso_list
Comment 5 Malar Kannan 2013-07-02 12:02:01 EDT
Created attachment 767818 [details]
File: environ
Comment 6 Malar Kannan 2013-07-02 12:02:08 EDT
Created attachment 767819 [details]
File: limits
Comment 7 Malar Kannan 2013-07-02 12:02:15 EDT
Created attachment 767820 [details]
File: maps
Comment 8 Malar Kannan 2013-07-02 12:02:19 EDT
Created attachment 767821 [details]
File: open_fds
Comment 9 Malar Kannan 2013-07-02 12:02:25 EDT
Created attachment 767822 [details]
File: proc_pid_status
Comment 10 Malar Kannan 2013-07-02 12:02:29 EDT
Created attachment 767823 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-12-21 09:13:36 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 17:02:48 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.